﻿using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ViewComponents.Models
{
    public class UserInfoViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke(int userId)
        {
            var model = new UserInfoViewModel
            {
                UserId = userId,
                UserName = "james@bond.com",
                LastLogin = DateTime.Now.ToString()
            };
            return View(model);
        }
    }
}
